Subject: Re: [PATCH] powerpc/powernv: Support OPAL requested heartbeat

From: Paul Clarke <[email-masked]>
Date: Thu, 13 Nov 2014 10:59:52 -0600

On 11/12/2014 12:03 AM, Benjamin Herrenschmidt wrote:
> If OPAL requests it, call it back via opal_poll_events() at a
> regular interval. Some versions of OPAL on some machines require
> this to operate some internal timeouts properly.

I don't see any reason why not, but wanted to ask to make sure: this 
daemon can be bound to a core, correct?  At least manually by taskset or 
similar?

It sounds a lot like the RTAS thread, which I was happy to see go away 
when running directly on OPAL, and don't want something else to take its 
place.  It was not bindable, but ran periodically on EVERY core, err 
hardware thread.

(Just looking to avoid latency blips.)

PC